nameOverride: ""
fullnameOverride: ""

zookeeper:
  enabled: true
  image:
    repository: zookeeper
    tag: 3.8.0-temurin
  spec:
    replicas: 1
    # podManagementPolicy: Parallel

broker:
  enabled: true
  image:
    repository: confluentinc/cp-kafka
    tag: 7.3.0
  spec:
    replicas: 1
    debug: false
    options: "-Xmx1G -Xms1G -XX:MetaspaceSize=96m -XX:+UseG1GC -XX:MaxGCPauseMillis=20 -XX:InitiatingHeapOccupancyPercent=35 -XX:G1HeapRegionSize=16M -XX:MinMetaspaceFreeRatio=50 -XX:MaxMetaspaceFreeRatio=80"
    config:
      # - kafka.heap.opts="-Xmx1G -Xms1G -XX:MetaspaceSize=96m -XX:+UseG1GC -XX:MaxGCPauseMillis=20 -XX:InitiatingHeapOccupancyPercent=35 -XX:G1HeapRegionSize=16M -XX:MinMetaspaceFreeRatio=50 -XX:MaxMetaspaceFreeRatio=80"
      - kafka.confluent.telemetry.enabled=false
      - kafka.unclean.leader.election.enable=false
      - kafka.log.cleaner.threads=2
      - kafka.log4j.logger.kafka.request.logger=WARN, requestAppender
      - kafka.auto.leader.rebalance.enable=true
      - kafka.group.initial.rebalance.delay.ms=0
      - kafka.jmx.port=9101

topics: []
  # - name: test
  #   config:
  #     - cleanup.policy=compact
  #     - segment.ms=3600000
  #     - max.compaction.lag.ms=5400000
  #     - min.insync.replicas=1
  #   partitions: 1
  #   replicationFactor: 1
